curl --request POST \
--url https://dev.api.mufi.app/v1/events/attendees/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"reference_id": "<string>",
"registered_at": 123,
"checked_in_at": 123
}
'import requests
url = "https://dev.api.mufi.app/v1/events/attendees/register"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"reference_id": "<string>",
"registered_at": 123,
"checked_in_at": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
reference_id: '<string>',
registered_at: 123,
checked_in_at: 123
})
};
fetch('https://dev.api.mufi.app/v1/events/attendees/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isActivated": true,
"activatedOn": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"referenceId": "<string>"
},
"event": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"start_date": 123,
"end_date": 123,
"location": "<string>",
"address": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference_id": "<string>",
"description": "<string>"
},
"registered_at": 123,
"checked_in_at": 123
}{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}Event Attendee Registration
Register a user to an event. This is used to create a record of the user attending the event and can by used to update the timestamp of the registration or attendance.
Authorizations
A JWT Access Token obtained from Google Cloud.
Body
The request body must include the event ID and the user ID, reference ID, or email. Timestamp fields are optional and can be used to update the registration or attendance timestamp.
An optional ID of the reference object in your database. This can be used to query events by reference object.
Timestamp as Unix timestamp in seconds
Timestamp as Unix timestamp in seconds
Response
Registration successful. This either creates a record or updates the registration/attendance timestamp.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Timestamp as Unix timestamp in seconds
Timestamp as Unix timestamp in seconds